Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » plugin load from dropins folder suddenly stopped working(plugin fails to load)
plugin load from dropins folder suddenly stopped working [message #1753223] Thu, 02 February 2017 18:40 Go to next message
Baback Nemazie is currently offline Baback NemazieFriend
Messages: 8
Registered: January 2017
Junior Member
Hi,


I was working on developing an eclipse plugin and dropping it in the dropins folder. It was working until Last Friday, but suddenly it stopped working.

Dropping the plugin in the plugins folder does not work either.

I have tried various suggestions on stackoverflow and other web sources but still same issue. Plugin does not load, it does not show in the plugin registry.

The folder structure of the plugin is attached.

I am running on eclipse Luna. The plugin is dropped in the dropins folder of the Luna instance.

The plugin was develped on SDK4.6 (Neon), compiled against Java 7. The plugin is dropped into a Luna instance with required osgi set to Java 1.6 in the eclipse.ini file.

The eclipse Luna I use is a packaged version of Luna eclipse which has a "flat" folder structure (there is no "eclipse" folder). See attached screenshot.

Console log is attached. It says

Interesting feature or bundle
added: S:\DROOLS_RIDE\ride-5.2.3-win64\dropins\com.ebay.drools.ui_0.0.1.20170201
2001

but I still do not see the plugin installed/loaded.

So I have been stuck on this for 3 days, no luck. Any help is appreciated.

Thanks

[Updated on: Thu, 02 February 2017 18:59]

Report message to a moderator

Re: plugin load from dropins folder suddenly stopped working [message #1753235 is a reply to message #1753223] Thu, 02 February 2017 20:32 Go to previous message
Baback Nemazie is currently offline Baback NemazieFriend
Messages: 8
Registered: January 2017
Junior Member
I looked carefully at the logs, it seems the version 2.0.0 dependency for javax.ws.rs.client could not be satisfied. I removed ithe version dependency from the manifest file, now ithe plugin loads.
Please consider this issue closed.

Previous Topic:Director: Cannot resolve (existing) dependency
Next Topic:equinox uninstall eclipse features by command line
Goto Forum:
  


Current Time: Tue Jun 19 14:54:44 GMT 2018

Powered by FUDForum. Page generated in 0.02063 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top